!function(){

    const hostname = window.location.hostname
    const NFT_AUTO_API_DOMAIN = 'https://p2e.tools'

    const getData = async (url, data) => {
        const response = await fetch(url, {
            method: 'GET', // *GET, POST, PUT, DELETE, etc.
            headers: {
                'Content-Type': 'application/json'
            },
        });
        return response.json(); // parses JSON response into native JavaScript objects
    }

    const init = async () => {

        let version
        let data = await getData(NFT_AUTO_API_DOMAIN + '/version')
        if ( data.version ) {
            version = data.version
        }

        if (!version) {
            setTimeout(init, 500)
            return
        }

        console.log('init nftauto')
        var cssId = 'nftauto_css';  // you could encode the css path itself to generate id..
        if (!document.getElementById(cssId))
        {
            var head  = document.getElementsByTagName('head')[0];
            var link  = document.createElement('link');
            link.id   = cssId;
            link.rel  = 'stylesheet';
            link.type = 'text/css';
            link.href = NFT_AUTO_API_DOMAIN + '/public/auto/style.css?v='+version;
            link.media = 'all';
            head.appendChild(link);
        }


        var s = document.createElement('script');
        s.src = NFT_AUTO_API_DOMAIN + '/public/auto/nftauto-detect.js?v='+version;
        s.onload = function() {
            // this.remove();
            console.log('load nftauto detect')
        };
        (document.head || document.documentElement).appendChild(s);

        if ( !document.getElementById('nftauto-container')){
            document.body.insertAdjacentHTML('beforeend', '<div id="nftauto-container" class="nft-hidden invisible"><div id="toggle-btn"></div><div class="nftauto-container--content"></div></div>')
        }
        // add event for toggle auto
        let toggleBTN = document.querySelector('#nftauto-container #toggle-btn')
        if ( toggleBTN ) {
            toggleBTN.addEventListener('click', () => {
                let container = document.getElementById('nftauto-container');
                if ( container ) {
                    if ( container.classList.contains('nft-hidden') ) {
                        container.classList.remove('nft-hidden')
                    }
                    else {
                        container.classList.add('nft-hidden')
                    }
                }
            })
        }

        var backdroundScript = document.createElement('script');
        backdroundScript.src = NFT_AUTO_API_DOMAIN + '/public/auto/init-auto.js?v='+version;
        backdroundScript.onload = function() {
            // this.remove();
            console.log('load nftauto detect')
        };
        document.body.appendChild(backdroundScript);


    }
    init()
}()
